//+------------------------------------------------------------------+
//|                                              MetaTraderAgent.mq4 |
//|                                                               ZZ |
//|                                                        http://zz |
//+------------------------------------------------------------------+
#property copyright "fx-at.net"
#property link      "http://fx-at.net"

#include "MetaTraderSocket.mqh"


//Socket API for MetaTrader 4 - MT4 that allows establish communication
//between MT4 and other trading platform (like other MT4, Dukascopy, MBTrading)
//By using this library in your EA you can build bridge between different kind of trading platforms
//Visit http://fx-at.net for instruction how to use this code

//There is no warranty for this free software.
//THE PROGRAM IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
//OR IMPLIED. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.


string HOST = "127.0.0.1";
int PORT = 7788;

int socket;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
{
   socket = client_socket_connect(HOST, PORT);
   return(0);
}
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
{
   client_socket_close(socket);
   return(0);
}


//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
{
   string message = TerminalName()  + ";"  + Symbol( )  +";" + Bid + ";" + Ask + ";B\n";
   socket = client_socket_send(socket,message, HOST, PORT);
   return(0);
}

